/*
CVE Services API

Testing UsersApiService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package cveapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "gitlab.com/xen-project/misc/go-cveapi"
)

func Test_cveapi_UsersApiService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test UsersApiService UserAll", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.UsersApi.UserAll(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UsersApiService UserCreateSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string

		resp, httpRes, err := apiClient.UsersApi.UserCreateSingle(context.Background(), shortname).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UsersApiService UserOrgAll", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string

		resp, httpRes, err := apiClient.UsersApi.UserOrgAll(context.Background(), shortname).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UsersApiService UserResetSecret", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string
		var username string

		resp, httpRes, err := apiClient.UsersApi.UserResetSecret(context.Background(), shortname, username).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UsersApiService UserSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string
		var username string

		resp, httpRes, err := apiClient.UsersApi.UserSingle(context.Background(), shortname, username).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test UsersApiService UserUpdateSingle", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var shortname string
		var username string

		resp, httpRes, err := apiClient.UsersApi.UserUpdateSingle(context.Background(), shortname, username).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
